Bug 1306196 - VFIO: device passthrough is not enabled by default on PPC platforms.
VFIO: device passthrough is not enabled by default on PPC platforms.
Status: CLOSED CURRENTRELEASE
Product: vdsm
Classification: oVirt
Component: General (Show other bugs)
4.17.9
ppc64le Unspecified
high Severity urgent (vote)
: ovirt-3.6.3
: 4.17.21
Assigned To: Martin Polednik
Nisim Simsolo
virt
:
Depends On:
Blocks: RHEV3.6PPC
  Show dependency treegraph
 
Reported: 2016-02-10 04:55 EST by Nisim Simsolo
Modified: 2016-03-11 02:22 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the check for availability of the direct device assignment feature (hostdev passthrough) would always end up negative. Patches in this bug improve the check to account for ppc64le kernel iommu reporting, causing the check to evaluate as expected (positive for known ppc64le machines).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-11 02:22:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
mgoldboi: exception+
mgoldboi: planning_ack+
michal.skrivanek: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)
engine log (22.07 KB, application/x-gzip)
2016-02-10 05:04 EST, Nisim Simsolo
no flags Details
vdsm log (691.29 KB, application/x-gzip)
2016-02-10 05:05 EST, Nisim Simsolo
no flags Details
screenshot (125.97 KB, image/png)
2016-02-10 05:05 EST, Nisim Simsolo
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 53332 ovirt-3.6 MERGED hostdev: fix detection for ppc64le 2016-02-10 05:57 EST
oVirt gerrit 53337 ovirt-3.6.3 MERGED hostdev: fix detection for ppc64le 2016-02-10 07:29 EST

  None (edit)
Description Nisim Simsolo 2016-02-10 04:55:19 EST
Description of problem:
PPC platforms should support PCI-passthrough by default. 
Browsing webadmin ==> hosts tab ==> general, shows that "device passthrough" is disabled.

Version-Release number of selected component (if applicable):
rhevm-3.6.3-0.1.el6
qemu-kvm-rhev-2.3.0-31.el7_2.4.ppc64le
libvirt-client-1.2.17-13.el7.ppc64le
vdsm-4.17.19-0.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Add PPC host to engine environment.
2. Try to attach PCI device to VM.
3. Observe webadmin hosts tab ==> general.

Actual results:
- Device failed to be attached.
- in webadmin: "device passthrough" value is disabled.

Expected results:
device passthrough should be enabled by default.

Additional info:
screenshot and logs attached.
Comment 1 Nisim Simsolo 2016-02-10 05:04 EST
Created attachment 1122725 [details]
engine log
Comment 2 Nisim Simsolo 2016-02-10 05:05 EST
Created attachment 1122726 [details]
vdsm log
Comment 3 Nisim Simsolo 2016-02-10 05:05 EST
Created attachment 1122727 [details]
screenshot
Comment 4 Nisim Simsolo 2016-02-22 08:41:04 EST
Verified:
rhevm-3.6.3.2-0.1.el6
libvirt-client-1.2.17-13.el7_2.2.ppc64le
qemu-kvm-rhev-2.3.0-31.el7_2.4.ppc64le
vdsm-4.17.21-0.el7ev.noarch
sanlock-3.2.4-1.el7.ppc64le

Verification scenarion:
1. Attach host PCI device to VM and run VM.
2. Verify device attached and appears in webadmin --> virtual machines tab --> VM --> host devices tab.
3. Open VM console and verify PCI device is attached (using lspci command).
4. Power off VM abd Verify powering off VM does not affect host functionality.
5. Run steps 1-4 again.

Note You need to log in before you can comment on or make changes to this bug.